Needlessly Postulating Minds

    This package has been deprecated

    Author message:

    Support for API Builder 3.x will cease on 31 December 2019. Use the v3 to v4 upgrade guide (https://docs.axway.com/bundle/API_Builder_4x_allOS_en/page/api_builder_v3_to_v4_upgrade_guide.html) to migrate all your applications to API Builder 4.x.

    arrow-react-engine

    2.0.0 • Public • Published

    arrow-react-engine

    A ReactJS web route render engine for arrow.

    In Arrow 2.0 the ReactJS web route render engine is not installed by default. The engine is still supported and can be manually registered using this module.

    Getting started

    After creating an Axway's API Builder application, you can install the dependencies:

    npm install arrow-react-engine --save
    npm install babel-preset-es2015 babel-preset-react react

    Usage

    Modify app.js and include the following to register the engine:

    server.getMiddleware()
        .registerRendererEngine(require('arrow-react-engine'));

    Keywords

    Install

    npm i arrow-react-engine

    DownloadsWeekly Downloads

    7

    Version

    2.0.0

    License

    Apache-2.0

    Unpacked Size

    13.7 kB

    Total Files

    4

    Last publish

    Collaborators

    • ddimonov-axway
    • axway_darnaudov
    • nkeranova
    • axway-npm
    • cb1kenobi
    • jamie.peabody
    • awam
    • bladedancer
    • neon-axway
    • vchauhan
    • mdimitrova
    • pdzhorev
    • axway_alasdair
    • pltod2
    • npetrovski-axway
    • pbozhkovaxway
    • mbonchev-axway
    • axway-vertex
    • cdobrica